Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 154281 - need 32-bit /usr/lib/libreadline.a and .so
Summary: need 32-bit /usr/lib/libreadline.a and .so
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: distribution
Version: 3
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Bill Nottingham
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-08 23:31 UTC by Konstantin Olchanski
Modified: 2014-03-17 02:53 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-04-19 15:17:16 UTC


Attachments (Terms of Use)

Description Konstantin Olchanski 2005-04-08 23:31:38 UTC
Description of problem:

We use an AMD64 machine running 64-bit Fedora 3 to build 32-bit-compatible
executables and we are missing the 32-bit /usr/lib/libreadline.a and .so. The
installed rpm is readline-devel-4.3-13. A short term workaround is to copy
/usr/lib/libreadline.a from a 32-bit FC3 machine. (See also bug 106882, thanks
for fixing that).

K.O.

Comment 1 Tim Waugh 2005-04-11 08:13:35 UTC
http://download.fedora.redhat.com/pub/fedora/linux/core/3/x86_64/os/Fedora/RPMS/

shows an i386 readline package, ready to install.  If 'rpm -q readline' only
shows one, you need to install the i386 package too.

Comment 2 Konstantin Olchanski 2005-04-19 00:44:43 UTC
Sorry, you gave the wrong answer (the "readline" package does not contain
libreadline.a).

Here is the correct answer: /usr/lib/libreadline.a is in the i386
"readline-devel" rpm and this rpm installs cleanly on amd64 FC3.

In our environment, where we mostly build 32-bit binaries, we would prefer to
have all 32-bit development libraries installed by the "install everything"
install method.

K.O.


Comment 3 Tim Waugh 2005-04-19 10:34:31 UTC
(Multilib devel packages.)

Comment 4 Bill Nottingham 2005-04-19 15:17:16 UTC
32-bit development libraries conflict in many cases. That's why only a small set
(the LSB set, generally) is included.


Note You need to log in before you can comment on or make changes to this bug.